CREATE TABLE cmk_collab_bus_processes (
    BUSINESS_PROCESS_ID      NUMBER(18, 0) ,
    EXTERNAL_PTNR_ROLE       VARCHAR2(400)     NOT NULL,
    BUSINESS_PROCESS_NAME    VARCHAR2(2048),
    ENABLE_FLAG              VARCHAR2(40)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    BUSINESS_PROCESS_ID      NUMBER(18, 0) ,
    EXTERNAL_PTNR_ROLE       VARCHAR2(400)     NOT NULL,
    BUSINESS_PROCESS_NAME    VARCHAR2(2048),
    ENABLE_FLAG              VARCHAR2(40)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cmk_collab_bus_processes PRIMARY KEY (BUSINESS_PROCESS_ID, BUSINESS_PROCESS_ID)
);
